import request from '@/utils/request'

export function stateList() {
  return request({
    url: '/state/list',
    method: 'get',
  })
}

export function stateDetail(token) {
  return request({
    url: '/state/detail/' + token,
    method: 'get',
  })
}

export function gc() {
  return request({
    url: '/state/gc',
    method: 'post',
  })
}

export function stateMachine() {
  return request({
    url: '/state/machine',
    method: 'get',
  })
}

export function dump() {
  return request({
    url: '/state/dump',
    method: 'post',
  })
}
